com.fasterxml.jackson.databind

## Interface EnumNamingStrategy

All Known Implementing Classes:
  EnumNamingStrategies.CamelCaseStrategy

    public interface EnumNamingStrategy

Defines how the string representation of an enum is converted into an external property name for mapping during deserialization.

Since:
  2.15

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `convertEnumToExternalName(String enumName)` Translates the given `enumName` into an external property name according to the implementation of this `EnumNamingStrategy`.

### Method Detail

#### convertEnumToExternalName

    String convertEnumToExternalName(String enumName)

Translates the given `enumName` into an external property name according to the implementation of this `EnumNamingStrategy`.

Parameters:
  `enumName` - the name of the enum value to translate
Returns:
  the external property name that corresponds to the given `enumName` according to the implementation of this `EnumNamingStrategy`.
Since:
  2.15